Bug 180014 - anaconda produces syntax error in anaconda.repo
anaconda produces syntax error in anaconda.repo
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: 180365 (view as bug list)
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
Reported: 2006-02-04 13:12 EST by Roy-Magne Mo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-27 17:31:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda.repo created by anaconda on install (491 bytes, text/plain)
2006-02-04 13:12 EST, Roy-Magne Mo
no flags Details

  None (edit)
Description Roy-Magne Mo 2006-02-04 13:12:29 EST
Description of problem:
Installing todays rawhide as a xen guest, fedora produces a anaconda.repo that
halts yum

Version-Release number of selected component (if applicable):
10.91.14-1 (not 100% sure of this)

How reproducible:
every time yum runs, havent't tried reinstalling yet 

Steps to Reproduce:
1. install rawhide as of today
2. yum upgrade or yum update
Actual results:
# yum upgrade
Options Error: Error parsing 'gpgkey': URL must be http, ftp, file or https not ""


Expected results:
yum should pull in upgrades

Additional info:
--disablerepo=anaconda does not work, have to move the file out of it's way.
When commenting out gpgkey, it complains about mirrorlist that has 'None' as a
value - and then goes on complaining about the others with 'None'

I'm attaching the anaconda.repo
Comment 1 Roy-Magne Mo 2006-02-04 13:12:29 EST
Created attachment 124175 [details]
anaconda.repo created by anaconda on install
Comment 2 Paul Nasrat 2006-02-06 11:22:37 EST
Thanks for the bug report. I think we need to make repo.dump smarter.
Comment 3 Jeremy Katz 2006-02-07 11:17:07 EST
*** Bug 180365 has been marked as a duplicate of this bug. ***
Comment 4 Jeremy Katz 2006-02-27 17:31:32 EST
We're not writing them out for now

Note You need to log in before you can comment on or make changes to this bug.